> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Outbound

> Retrieve a specific outbound by its ID



## OpenAPI

````yaml get /v1/Outbound/{outboundId}
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v1
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v1/Outbound/{outboundId}:
    get:
      tags:
        - Outbound
      summary: Get Outbound
      description: Retrieve a specific outbound by its ID
      parameters:
        - name: outboundId
          in: path
          description: The unique identifier of the outbound.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Detailed view of a specific outbound.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/OutboundApiView'
            application/json:
              schema:
                $ref: '#/components/schemas/OutboundApiView'
            text/json:
              schema:
                $ref: '#/components/schemas/OutboundApiView'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    OutboundApiView:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the outbound activity.
          nullable: true
        name:
          type: string
          description: The name of the outbound activity.
          nullable: true
        totalLeads:
          type: integer
          description: The total number of leads associated with this outbound activity.
          format: int32
        totalLeadsCompleted:
          type: integer
          description: The total number of leads that have been completed.
          format: int32
        totalLeadsSuccess:
          type: integer
          description: The total number of leads that were successfully converted.
          format: int32
        phoneNumber:
          type: string
          description: The phone number used for this outbound activity.
          nullable: true
        pearlName:
          type: string
          description: The name of the Pearl associated with this outbound activity.
          nullable: true
        budgetTotal:
          type: integer
          description: The total budget allocated for this outbound activity.
          format: int32
          nullable: true
        budgetConsumed:
          type: integer
          description: The amount of the budget that has been consumed so far.
          format: int32
        totalAgents:
          type: integer
          description: The total number of agents allocated to this outbound activity.
          format: int32
        totalOngoingCalls:
          type: integer
          description: The total number of call now.
          format: int32
        status:
          allOf:
            - $ref: '#/components/schemas/eActivityStatus'
          description: |+
            Here is the activity status

            `1 - Running`

            `2 - Paused`

            `3 - Suspended`

            `10 - TemporaryMaintenance`

        created:
          type: string
          description: The date and time when the outbound activity was created.
          format: date-time
        totalTodayCalls:
          type: integer
          description: The total number of calls made today during this outbound activity.
          format: int32
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    eActivityStatus:
      type: integer
      description: |+
        Here is the activity status

        `1 - Running`

        `2 - Paused`

        `3 - Suspended`

        `10 - TemporaryMaintenance`

      format: int32
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````